Summary:        An audio tag editor
Name:           puddletag
Version:        0.10.3
Release:        %mkrel 3
Url:            http://puddletag.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/puddletag/%{name}-%{version}.tar.gz
# investigate license with upstream, web site says GPLv3 whereas the files in
# the tarball say GPLv2
License:        GPLv2+
Group:          Sound/Utilities
BuildRequires:  python-devel
BuildRequires:  imagemagick
Requires:       python-qt4
Requires:       mutagen
Requires:       python-configobj
Requires:       python-imaging
Requires:       python-pyparsing
Requires:       python-musicbrainz2

BuildArch:      noarch

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (http://www.mp3tag.de). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma 
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%setup -q -n %{name}-%{version}

# fix permissions
chmod 644 NEWS

# remove shebang
sed -i 's,#!*/usr/bin/env python,,' \
  puddlestuff/{puddleobjects.py,puddlesettings.py,puddletag.py,webdb.py}

%build
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --skip-build --root=%{buildroot}

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,64x64,96x96}/apps

install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/96x96/apps/

for i in 16x16 32x32 64x64; do
  convert -resize "$i" %{name}.png %{buildroot}%{_datadir}/icons/hicolor/"$i"/apps/%{name}.png
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copyright HACKING NEWS README THANKS TODO
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/%{name}.*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.3-3.mga3
+ Revision: 378302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.10.3-2.mga3
+ Revision: 324480
- update RPM group

* Fri May 13 2011 ahmad <ahmad> 0.10.3-1.mga1
+ Revision: 97801
- imported package puddletag

